workflow:
  rules:
    - if: $CI_COMMIT_MESSAGE =~ /\[publish\].*/i
      when: always
    - when: never

make_pdf:
  stage: build
  image: aergus/latex:latest
  script:
     - ls 
     - pdflatex article.tex
     - mv article.pdf docs
  artifacts:
    paths:
      - docs/article.pdf
    expire_in: 1 week

pages:
  stage: test
  image: python:3.8.5-slim-buster
  script:
  - python -m pip install --upgrade pip mkdocs-bootswatch
  - mkdocs build
  - mv site public
  artifacts:
    paths:
    - public
